"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.constructInfo = constructInfo;
exports.referendumInfo = referendumInfo;

var _operators = require("rxjs/operators");

var _types = require("@polkadot/types");

var _util = require("@polkadot/util");

var _type = require("../type");

var _drr = require("../util/drr");

// Copyright 2017-2019 @polkadot/api-derive authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function constructInfo(index, optionInfo) {
  const info = optionInfo ? optionInfo.unwrapOr(null) : null;
  return new _types.Option(_type.ReferendumInfoExtended, (0, _util.isNull)(info) ? null : new _type.ReferendumInfoExtended(info, index));
}

function referendumInfo(api) {
  return index => {
    return api.query.democracy.referendumInfoOf(index).pipe((0, _operators.map)(optionInfo => constructInfo(index, optionInfo)), (0, _drr.drr)());
  };
}